Page MenuHomePhabricator

[Regression] Fatal error: Call to a member function getFullText() on a non-object in EducationProgram/includes/pagers/ArticleTable.php
Closed, ResolvedPublic

Description

[26-Mar-2013 19:29:47] Fatal error: Call to a member function getFullText() on a non-object at /usr/local/apache/common-local/php-1.21wmf12/extensions/EducationProgram/includes/pagers/ArticleTable.php on line 305
Server: mw1168
Method: GET
URL: http://en.wikipedia.org/wiki/Education_Program:Marquette_University/Neurobiology_(Spring_2013)
Backtrace:
#0 /usr/local/apache/common-local/php-1.21wmf12/extensions/EducationProgram/includes/pagers/ArticleTable.php(305): EducationProgram\ArticleTable::getArticleCell()
#1 /usr/local/apache/common-local/php-1.21wmf12/extensions/EducationProgram/includes/pagers/ArticleTable.php(189): EducationProgram\ArticleTable->getArticleCell(Object(EducationProgram\EPArticle), 1)
#2 /usr/local/apache/common-local/php-1.21wmf12/extensions/EducationProgram/includes/pagers/ArticleTable.php(150): EducationProgram\ArticleTable->addNonStudentHTML('<tr class="ep-a...', Array, false)
#3 /usr/local/apache/common-local/php-1.21wmf12/includes/Pager.php(421): EducationProgram\ArticleTable->formatRow(Object(stdClass))
#4 /usr/local/apache/common-local/php-1.21wmf12/extensions/EducationProgram/includes/pagers/ArticleTable.php(91): IndexPager->getBody()
#5 /usr/local/apache/common-local/php-1.21wmf12/extensions/EducationProgram/includes/actions/ViewCourseAction.php(139): EducationProgram\ArticleTable->getBody()
#6 [internal function]: EducationProgram\ViewCourseAction->getPageHTML(Object(EducationProgram\Course))
#7 /usr/local/apache/common-local/php-1.21wmf12/includes/CacheHelper.php(303): call_user_func_array(Array, Array)
#8 /usr/local/apache/common-local/php-1.21wmf12/includes/actions/CachedAction.php(136): CacheHelper->getCachedValue(Array, Object(EducationProgram\Course), NULL)
#9 /usr/local/apache/common-local/php-1.21wmf12/extensions/EducationProgram/includes/actions/ViewAction.php(125): CachedAction->addCachedHTML(Array, Object(EducationProgram\Course))
#10 /usr/local/apache/common-local/php-1.21wmf12/extensions/EducationProgram/includes/actions/ViewCourseAction.php(105): EducationProgram\ViewAction->onView()
#11 /usr/local/apache/common-local/php-1.21wmf12/includes/Action.php(542): EducationProgram\ViewCourseAction->onView()
#12 /usr/local/apache/common-local/php-1.21wmf12/includes/Wiki.php(439): FormlessAction->show()
#13 /usr/local/apache/common-local/php-1.21wmf12/includes/Wiki.php(305): MediaWiki->performAction(Object(EducationProgram\CoursePage), Object(Title))
#14 /usr/local/apache/common-local/php-1.21wmf12/includes/Wiki.php(565): MediaWiki->performRequest()
#15 /usr/local/apache/common-local/php-1.21wmf12/includes/Wiki.php(458): MediaWiki->main()
#16 /usr/local/apache/common-local/php-1.21wmf12/index.php(59): MediaWiki->run()
#17 /usr/local/apache/common-local/live-1.5/index.php(3): require('/usr/local/apac...')
#18 {main}


Version: master
Severity: critical

Details

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 1:20 AM
bzimport set Reference to bz46577.
Reedy created this task.Mar 26 2013, 7:35 PM

Odd... that's the course page that's broken out of about 10 that I spot checked.

Looks like this code is not handling deleted pages well. Will fix now.

Doing a proper refactor + tests in https://gerrit.wikimedia.org/r/#/c/56203/

Exactly how critical is this?

Sage, there is this special page not linked from anywhere that allows you to browse through all articles that have students working on them. It is at Special:Articles. Given that the headers are messed up on enwiki and I have not heard anything about this, I suspect it is not being used. Can I throw it out for now? (That will make this cleanup easier.)

Assuming its fine for me to kill Special:Articles I'm done with my changes, apart from doing manual tests of the things I did not add unit test coverage for.

It would be nice to get Special:Articles back at some point, but that's not critical in the short term. A fix for this that disables Special:Articles is fine for now.

Ok, done now with https://gerrit.wikimedia.org/r/#/c/56203/ and it looks like it does fix the issue described in this bug.

Related URL: https://gerrit.wikimedia.org/r/59113 (Gerrit Change I86e8664e357edd47fb0d74f284d3fc3a80ba6108)

Related URL: https://gerrit.wikimedia.org/r/59113 (Gerrit Change I86e8664e357edd47fb0d74f284d3fc3a80ba6108)

ori added a comment.Apr 15 2013, 7:34 AM

As a (horribly hacky) temporary workaround, we could also set the article_page_id for the following rows (in ep_articles) to null:

"article_id","article_page_title","article_page_id"
439,"Electromyoneurography",24107758
442,"Electromyoneurography",24107758
445,"Aicardi–Goutières syndrome",16332401
446,"Aicardi–Goutières syndrome",16332401
448,"Alternating hemiplegia",99177
670,"Roy Baumeister: Self-Esteem",39079953

Query that selects these:

SELECT article_page_title, article_page_id
FROM ep_articles
LEFT JOIN page ON page_id = article_page_id
WHERE article_page_id != 0 AND page_id IS NULL;

ori added a comment.Apr 15 2013, 8:59 AM

(In reply to comment #12)

As a (horribly hacky) temporary workaround, we could also set the
article_page_id for the following rows (in ep_articles) to null:

I did that, to buy a little time for one of the changes above to get reviewed and merged. The articles still refer to the article by article_page_title. I just set article_page_id to '0' (not null, as I said above). This stops the fatal.

I changed only these six rows (439, 442, 445, 446, 448, 670).

(repeating myself from a comment on Ori's commit)

Some kind of atomic fix is critical, because starting now (and for about the next 4 weeks) is the busiest part of the academic term for Wikipedia assignments, and we're likely to see more student articles getting deleted and breaking course pages.

Jeroen, could you pick a good immediate fix and push it forward?

I merged the fix myself; sigh

https://gerrit.wikimedia.org/r/59113 (Gerrit Change I86e8664e357edd47fb0d74f284d3fc3a80ba6108) | change ABANDONED [by Jeroen De Dauw]

Related URL: https://gerrit.wikimedia.org/r/59831 (Gerrit Change Ic7fbca8c66f3615da97814025bc6e90e7c4c8fa1)

Related URL: https://gerrit.wikimedia.org/r/60279 (Gerrit Change Idd634fc7912cda5841b19c1885823d748b878338)

Reedy added a comment.Nov 7 2015, 8:42 PM

Hmm

reedy@fluorine:/a/mw-log/archive$ ls -al bug46577.log-2015
bug46577.log-20150809.gz  bug46577.log-20150825.gz  bug46577.log-20150910.gz  bug46577.log-20150926.gz  bug46577.log-20151012.gz  bug46577.log-20151028.gz
bug46577.log-20150810.gz  bug46577.log-20150826.gz  bug46577.log-20150911.gz  bug46577.log-20150927.gz  bug46577.log-20151013.gz  bug46577.log-20151029.gz
bug46577.log-20150811.gz  bug46577.log-20150827.gz  bug46577.log-20150912.gz  bug46577.log-20150928.gz  bug46577.log-20151014.gz  bug46577.log-20151030.gz
bug46577.log-20150812.gz  bug46577.log-20150828.gz  bug46577.log-20150913.gz  bug46577.log-20150929.gz  bug46577.log-20151015.gz  bug46577.log-20151031.gz
bug46577.log-20150813.gz  bug46577.log-20150829.gz  bug46577.log-20150914.gz  bug46577.log-20150930.gz  bug46577.log-20151016.gz  bug46577.log-20151101.gz
bug46577.log-20150814.gz  bug46577.log-20150830.gz  bug46577.log-20150915.gz  bug46577.log-20151001.gz  bug46577.log-20151017.gz  bug46577.log-20151102.gz
bug46577.log-20150815.gz  bug46577.log-20150831.gz  bug46577.log-20150916.gz  bug46577.log-20151002.gz  bug46577.log-20151018.gz  bug46577.log-20151103.gz
bug46577.log-20150816.gz  bug46577.log-20150901.gz  bug46577.log-20150917.gz  bug46577.log-20151003.gz  bug46577.log-20151019.gz  bug46577.log-20151104.gz
bug46577.log-20150817.gz  bug46577.log-20150902.gz  bug46577.log-20150918.gz  bug46577.log-20151004.gz  bug46577.log-20151020.gz  bug46577.log-20151105.gz
bug46577.log-20150818.gz  bug46577.log-20150903.gz  bug46577.log-20150919.gz  bug46577.log-20151005.gz  bug46577.log-20151021.gz  bug46577.log-20151106.gz
bug46577.log-20150819.gz  bug46577.log-20150904.gz  bug46577.log-20150920.gz  bug46577.log-20151006.gz  bug46577.log-20151022.gz  bug46577.log-20151107.gz
bug46577.log-20150820.gz  bug46577.log-20150905.gz  bug46577.log-20150921.gz  bug46577.log-20151007.gz  bug46577.log-20151023.gz  
bug46577.log-20150821.gz  bug46577.log-20150906.gz  bug46577.log-20150922.gz  bug46577.log-20151008.gz  bug46577.log-20151024.gz  
bug46577.log-20150822.gz  bug46577.log-20150907.gz  bug46577.log-20150923.gz  bug46577.log-20151009.gz  bug46577.log-20151025.gz  
bug46577.log-20150823.gz  bug46577.log-20150908.gz  bug46577.log-20150924.gz  bug46577.log-20151010.gz  bug46577.log-20151026.gz  
bug46577.log-20150824.gz  bug46577.log-20150909.gz  bug46577.log-20150925.gz  bug46577.log-20151011.gz  bug46577.log-20151027.gz  
reedy@fluorine:/a/mw-log/archive$ ls -al bug46577.log-2015^C
reedy@fluorine:/a/mw-log/archive$ cd ..
reedy@fluorine:/a/mw-log$ wc -l bug46577.log 
254 bug46577.log
reedy@fluorine:/a/mw-log$ cat bug46577.log 
2015-11-07 07:51:07 mw1244 enwiki bug46577 INFO: {"title":"Haloferax larsenii","pageid":0,"id":5805}  
2015-11-07 08:41:02 mw1045 enwiki bug46577 INFO: {"title":"Padraic Breslin","pageid":0,"id":9468}  
2015-11-07 08:41:02 mw1045 enwiki bug46577 INFO: {"title":"Lily Kempson","pageid":0,"id":9463}  
2015-11-07 08:41:02 mw1045 enwiki bug46577 INFO: {"title":"Lily Kempson","pageid":0,"id":9464}  
2015-11-07 08:41:02 mw1045 enwiki bug46577 INFO: {"title":"Lily Kempson","pageid":0,"id":9466}  
2015-11-07 08:41:02 mw1045 enwiki bug46577 INFO: {"title":"Eileen Corrigan","pageid":0,"id":9467}  
2015-11-07 08:57:49 mw1074 enwiki bug46577 INFO: {"title":"D\u00e9cio Sa","pageid":0,"id":9697}  
2015-11-07 08:57:50 mw1176 enwiki bug46577 INFO: {"title":"Https:\/\/de.wikipedia.org\/wiki\/Die gelbe Kuh","pageid":0,"id":9317}  
2015-11-07 08:58:04 mw1253 enwiki bug46577 INFO: {"title":"Ohio State Ukulele Club","pageid":0,"id":9377}  
2015-11-07 08:58:13 mw1218 enwiki bug46577 INFO: {"title":"Aspergillus tubingensis","pageid":0,"id":9419}  
2015-11-07 08:58:13 mw1218 enwiki bug46577 INFO: {"title":"Cladosporium sphaerospermum","pageid":0,"id":9418}  
2015-11-07 08:58:13 mw1218 enwiki bug46577 INFO: {"title":"Tropicoporus tropicalis","pageid":0,"id":9413}  
2015-11-07 08:58:13 mw1218 enwiki bug46577 INFO: {"title":"Phialemonium obovatum","pageid":0,"id":9404}  
2015-11-07 08:58:13 mw1218 enwiki bug46577 INFO: {"title":"Aspergillus alabamensis","pageid":0,"id":9390}  
2015-11-07 08:58:13 mw1218 enwiki bug46577 INFO: {"title":"Geosmithia argillacea","pageid":0,"id":9403}  
2015-11-07 08:58:13 mw1218 enwiki bug46577 INFO: {"title":"Rhodotorula glutinis","pageid":0,"id":9398}  
2015-11-07 08:58:13 mw1218 enwiki bug46577 INFO: {"title":"Chaetomium atrobrunneum","pageid":0,"id":9401}  
2015-11-07 08:58:13 mw1218 enwiki bug46577 INFO: {"title":"Aspergillus unguis","pageid":0,"id":9395}  
2015-11-07 08:58:13 mw1218 enwiki bug46577 INFO: {"title":"Trichophyton verrucosum","pageid":0,"id":9409}  
2015-11-07 08:58:25 mw1035 enwiki bug46577 INFO: {"title":"Ajjjjjjjjjjjjjjjjjjjjjjjjjjjjjjj","pageid":0,"id":9384}  
2015-11-07 08:58:41 mw1242 enwiki bug46577 INFO: {"title":"Rubber bulb","pageid":0,"id":9730}  
2015-11-07 08:58:41 mw1242 enwiki bug46577 INFO: {"title":"Emergency Eye Wash Station","pageid":0,"id":9515}  
2015-11-07 08:58:41 mw1242 enwiki bug46577 INFO: {"title":"Vanishing valentine experiment","pageid":0,"id":9511}  
2015-11-07 08:58:41 mw1242 enwiki bug46577 INFO: {"title":"Vanishing valentine experiment","pageid":0,"id":9484}  
2015-11-07 08:58:41 mw1242 enwiki bug46577 INFO: {"title":"Test tube rack","pageid":0,"id":9483}  
2015-11-07 08:58:41 mw1242 enwiki bug46577 INFO: {"title":"Test tube holder","pageid":0,"id":9482}  
2015-11-07 09:21:59 mw1026 enwiki bug46577 INFO: {"title":"Aggregate Behaviour","pageid":0,"id":9661}  
2015-11-07 09:21:59 mw1026 enwiki bug46577 INFO: {"title":"Machine Dependent Software","pageid":0,"id":9642}  
2015-11-07 09:21:59 mw1026 enwiki bug46577 INFO: {"title":"Utiiization rate","pageid":0,"id":9605}  
2015-11-07 09:21:59 mw1026 enwiki bug46577 INFO: {"title":"Market experimentation","pageid":0,"id":9645}  
2015-11-07 09:21:59 mw1026 enwiki bug46577 INFO: {"title":"Marketing information System","pageid":0,"id":9600}  
2015-11-07 09:21:59 mw1026 enwiki bug46577 INFO: {"title":"Economic Interdependence","pageid":0,"id":9587}  
2015-11-07 09:21:59 mw1026 enwiki bug46577 INFO: {"title":"Quartz (qz.com)","pageid":0,"id":9577}  
2015-11-07 09:21:59 mw1026 enwiki bug46577 INFO: {"title":"Time Allocation","pageid":0,"id":9562}  
2015-11-07 09:22:00 mw1026 enwiki bug46577 INFO: {"title":"Philosphy of accounting","pageid":0,"id":9521}  
2015-11-07 09:22:00 mw1026 enwiki bug46577 INFO: {"title":"Megacorspstate","pageid":0,"id":9516}  
2015-11-07 09:22:14 mw1214 enwiki bug46577 INFO: {"title":"Dowry system in India","pageid":31999935,"id":2591}  
2015-11-07 09:29:17 mw1236 enwiki bug46577 INFO: {"title":"Tactile agnosia","pageid":0,"id":5999}  
2015-11-07 09:46:08 mw1220 enwiki bug46577 INFO: {"title":"Keiko uenishi","pageid":0,"id":3125}  
2015-11-07 10:00:46 mw1151 enwiki bug46577 INFO: {"title":"Offshore Indus Basin","pageid":0,"id":7490}  
2015-11-07 10:00:46 mw1151 enwiki bug46577 INFO: {"title":"Persian Gulf Basin","pageid":0,"id":7578}  
2015-11-07 10:00:46 mw1151 enwiki bug46577 INFO: {"title":"Taranaki Basin","pageid":0,"id":7273}  
2015-11-07 10:00:46 mw1151 enwiki bug46577 INFO: {"title":"Gulf of Mexico Basin Geology","pageid":0,"id":7488}  
2015-11-07 10:00:46 mw1151 enwiki bug46577 INFO: {"title":"Exmouth Plateau","pageid":0,"id":7814}  
2015-11-07 10:00:46 mw1151 enwiki bug46577 INFO: {"title":"HImalayan Foreland Basin","pageid":0,"id":6798}  
2015-11-07 10:00:46 mw1151 enwiki bug46577 INFO: {"title":"Middle Magdalena Basin","pageid":0,"id":7456}  
2015-11-07 10:00:47 mw1151 enwiki bug46577 INFO: {"title":"Tyrrhenian Basin","pageid":0,"id":6795}  
2015-11-07 10:00:47 mw1151 enwiki bug46577 INFO: {"title":"Angola Basin","pageid":0,"id":6801}  
2015-11-07 10:00:47 mw1151 enwiki bug46577 INFO: {"title":"Niger Delta Basin","pageid":30114759,"id":8875}  
2015-11-07 10:00:47 mw1151 enwiki bug46577 INFO: {"title":"Pearl River Mouth Basin","pageid":0,"id":7478}  
2015-11-07 10:00:47 mw1151 enwiki bug46577 INFO: {"title":"Columbus Basin, Trinidad","pageid":0,"id":7228}  
2015-11-07 10:00:47 mw1151 enwiki bug46577 INFO: {"title":"The Geology of the Southern North Sea Basin","pageid":0,"id":6797}  
2015-11-07 10:00:47 mw1151 enwiki bug46577 INFO: {"title":"The North Slope Foreland Basin","pageid":0,"id":8877}  
2015-11-07 10:00:47 mw1151 enwiki bug46577 INFO: {"title":"North German Basin","pageid":0,"id":8878}  
2015-11-07 10:00:47 mw1151 enwiki bug46577 INFO: {"title":"Yinggehai basin","pageid":0,"id":8879}  
2015-11-07 10:00:47 mw1151 enwiki bug46577 INFO: {"title":"Nias Basin","pageid":0,"id":8880}  
2015-11-07 10:00:47 mw1151 enwiki bug46577 INFO: {"title":"Gulf of Corinth Basin","pageid":0,"id":8881}  
2015-11-07 10:00:47 mw1151 enwiki bug46577 INFO: {"title":"Woodlark Basin","pageid":0,"id":8882}  
2015-11-07 10:00:47 mw1151 enwiki bug46577 INFO: {"title":"Bransfield Basin","pageid":0,"id":7366}  
2015-11-07 10:00:47 mw1151 enwiki bug46577 INFO: {"title":"The Adare Basin","pageid":0,"id":7503}  
2015-11-07 10:06:48 mw1180 enwiki bug46577 INFO: {"title":"Self referential encoding","pageid":0,"id":1469}  
2015-11-07 10:14:44 mw1108 enwiki bug46577 INFO: {"title":"Hava Pinchas-Cohen","pageid":0,"id":5710}  
2015-11-07 10:14:44 mw1108 enwiki bug46577 INFO: {"title":"Maxie Wander","pageid":0,"id":5865}  
2015-11-07 10:14:45 mw1108 enwiki bug46577 INFO: {"title":"Mary Linskill","pageid":44369951,"id":5678}  
2015-11-07 10:33:48 mw1178 enwiki bug46577 INFO: {"title":"Ted Watkins (activist)","pageid":0,"id":6248}  
2015-11-07 10:33:48 mw1178 enwiki bug46577 INFO: {"title":"Sarah Rozner","pageid":0,"id":6162}  
2015-11-07 10:33:48 mw1178 enwiki bug46577 INFO: {"title":"Brotherhood of Timber Workers","pageid":0,"id":5859}  
2015-11-07 10:33:48 mw1178 enwiki bug46577 INFO: {"title":"Brotherhood of Timber Workers","pageid":0,"id":6001}  
2015-11-07 10:33:48 mw1178 enwiki bug46577 INFO: {"title":"Frances Nacke Noel","pageid":0,"id":5973}  
2015-11-07 10:33:49 mw1178 enwiki bug46577 INFO: {"title":"Los Angeles County Federation of Labor","pageid":0,"id":5836}  
2015-11-07 10:33:49 mw1178 enwiki bug46577 INFO: {"title":"Los Angeles County Federation of Labor","pageid":0,"id":5837}  
2015-11-07 10:33:49 mw1178 enwiki bug46577 INFO: {"title":"Salinas Lettuce Strikes","pageid":0,"id":5862}  
2015-11-07 10:33:49 mw1178 enwiki bug46577 INFO: {"title":"Jessie Lopez De La Cruz","pageid":0,"id":5983}  
2015-11-07 10:33:49 mw1178 enwiki bug46577 INFO: {"title":"Wage Earner's Suffrage League","pageid":0,"id":5792}  
2015-11-07 10:33:49 mw1178 enwiki bug46577 INFO: {"title":"Immigrant Youth Movement","pageid":0,"id":5940}  
2015-11-07 10:33:49 mw1178 enwiki bug46577 INFO: {"title":"Northwest Lumber Strike of 1917","pageid":0,"id":6150}  
2015-11-07 10:33:49 mw1178 enwiki bug46577 INFO: {"title":"Watts Labor Community Action Committee","pageid":0,"id":5779}  
2015-11-07 10:33:49 mw1178 enwiki bug46577 INFO: {"title":"UCLA Labor Center","pageid":0,"id":5690}  
2015-11-07 10:33:49 mw1178 enwiki bug46577 INFO: {"title":"Frances Nacke Noel","pageid":0,"id":5786}  
2015-11-07 10:33:49 mw1178 enwiki bug46577 INFO: {"title":"UCLA Institute for Research on Labor and Employment","pageid":0,"id":5780}  
2015-11-07 10:33:49 mw1178 enwiki bug46577 INFO: {"title":"Frances Nacke Noel","pageid":0,"id":5880}  
2015-11-07 10:33:49 mw1178 enwiki bug46577 INFO: {"title":"Christian Socialism in Utah","pageid":0,"id":6147}  
2015-11-07 10:33:49 mw1178 enwiki bug46577 INFO: {"title":"Brotherhood of Timber Workers","pageid":0,"id":6178}  
2015-11-07 10:33:49 mw1178 enwiki bug46577 INFO: {"title":"Brotherhood Of Timber Workers","pageid":0,"id":6181}  
2015-11-07 10:33:49 mw1178 enwiki bug46577 INFO: {"title":"LaFollette Comittee","pageid":0,"id":5844}  
2015-11-07 11:13:20 mw1219 enwiki bug46577 INFO: {"title":"de:Bier","pageid":0,"id":8156}  
2015-11-07 11:13:21 mw1219 enwiki bug46577 INFO: {"title":"Hello im a new student","pageid":0,"id":2649}  
2015-11-07 11:13:21 mw1219 enwiki bug46577 INFO: {"title":"Noarticle","pageid":0,"id":8157}  
2015-11-07 11:18:57 mw1029 enwiki bug46577 INFO: {"title":"Hot Cognition","pageid":0,"id":8502}  
2015-11-07 11:26:38 mw1038 enwiki bug46577 INFO: {"title":"Catherine Furbish","pageid":40579374,"id":5500}  
2015-11-07 11:26:39 mw1038 enwiki bug46577 INFO: {"title":"Symbolic Self-Completion","pageid":0,"id":5482}  
2015-11-07 11:26:39 mw1038 enwiki bug46577 INFO: {"title":"Catherine Furbish","pageid":40579374,"id":5469}  
2015-11-07 11:26:39 mw1038 enwiki bug46577 INFO: {"title":"Catherine Furbish","pageid":40579374,"id":5494}  
2015-11-07 11:26:40 mw1038 enwiki bug46577 INFO: {"title":"User:Rabb8\/sandbox","pageid":44203120,"id":5497}  
2015-11-07 12:21:17 mw1051 enwiki bug46577 INFO: {"title":"Margaret McWade","pageid":0,"id":5758}  
2015-11-07 12:21:17 mw1051 enwiki bug46577 INFO: {"title":"The Yaqui Girl","pageid":0,"id":5606}  
2015-11-07 12:21:17 mw1051 enwiki bug46577 INFO: {"title":"Magda foy","pageid":0,"id":5909}  
2015-11-07 12:21:17 mw1051 enwiki bug46577 INFO: {"title":"Alice Guy-Blach\u00e9 and the Chronophone","pageid":0,"id":5901}  
2015-11-07 12:21:17 mw1051 enwiki bug46577 INFO: {"title":"Mary jane warren","pageid":0,"id":5924}  
2015-11-07 12:21:17 mw1051 enwiki bug46577 INFO: {"title":"Lime-Kiln Club","pageid":0,"id":5916}  
2015-11-07 12:21:17 mw1051 enwiki bug46577 INFO: {"title":"James and Rose Smith","pageid":0,"id":5809}  
2015-11-07 12:21:17 mw1051 enwiki bug46577 INFO: {"title":"Lime Kiln Field Day","pageid":0,"id":5905}  
2015-11-07 12:21:17 mw1051 enwiki bug46577 INFO: {"title":"Mildred Washington","pageid":0,"id":5603}  
2015-11-07 12:21:17 mw1051 enwiki bug46577 INFO: {"title":"Yvette Duguay","pageid":0,"id":5919}  
2015-11-07 12:21:17 mw1051 enwiki bug46577 INFO: {"title":"Odessa Warren Grey","pageid":0,"id":5588}  
2015-11-07 12:45:56 mw1069 enwiki bug46577 INFO: {"title":"D\u00e9cio Sa","pageid":0,"id":9697}  
2015-11-07 12:54:01 mw1079 enwiki bug46577 INFO: {"title":"Aggregate Behaviour","pageid":0,"id":9661}  
2015-11-07 12:54:01 mw1079 enwiki bug46577 INFO: {"title":"Machine Dependent Software","pageid":0,"id":9642}  
2015-11-07 12:54:02 mw1079 enwiki bug46577 INFO: {"title":"Utiiization rate","pageid":0,"id":9605}  
2015-11-07 12:54:02 mw1079 enwiki bug46577 INFO: {"title":"Market experimentation","pageid":0,"id":9645}  
2015-11-07 12:54:02 mw1079 enwiki bug46577 INFO: {"title":"Marketing information System","pageid":0,"id":9600}  
2015-11-07 12:54:02 mw1079 enwiki bug46577 INFO: {"title":"Economic Interdependence","pageid":0,"id":9587}  
2015-11-07 12:54:02 mw1079 enwiki bug46577 INFO: {"title":"Quartz (qz.com)","pageid":0,"id":9577}  
2015-11-07 12:54:02 mw1079 enwiki bug46577 INFO: {"title":"Time Allocation","pageid":0,"id":9562}  
2015-11-07 12:54:02 mw1079 enwiki bug46577 INFO: {"title":"Philosphy of accounting","pageid":0,"id":9521}  
2015-11-07 12:54:02 mw1079 enwiki bug46577 INFO: {"title":"Megacorspstate","pageid":0,"id":9516}  
2015-11-07 13:14:56 mw1101 enwiki bug46577 INFO: {"title":"Frag Movies","pageid":0,"id":97}  
2015-11-07 13:14:56 mw1101 enwiki bug46577 INFO: {"title":"Frag Movies","pageid":0,"id":91}  
2015-11-07 13:14:57 mw1101 enwiki bug46577 INFO: {"title":"Machinima Archive","pageid":0,"id":85}  
2015-11-07 13:45:02 mw1047 enwiki bug46577 INFO: {"title":"Dual-route hypothesis to reading","pageid":0,"id":162}  
2015-11-07 13:45:02 mw1047 enwiki bug46577 INFO: {"title":"Dual-route hypothesis to reading","pageid":0,"id":159}  
2015-11-07 14:08:30 mw1248 enwiki bug46577 INFO: {"title":"Alla Kigel","pageid":0,"id":299}  
2015-11-07 15:00:26 mw1249 enwiki bug46577 INFO: {"title":"Dowry system in India","pageid":31999935,"id":3017}  
2015-11-07 15:07:58 mw1253 enwiki bug46577 INFO: {"title":"Face Perception","pageid":0,"id":2057}  
2015-11-07 15:14:48 mw1040 enwiki bug46577 INFO: {"title":"Navjot Altaf","pageid":0,"id":9036}  
2015-11-07 15:27:10 mw1186 enwiki bug46577 INFO: {"title":"Gender inequality in Honduras","pageid":0,"id":497}  
2015-11-07 15:27:10 mw1186 enwiki bug46577 INFO: {"title":"Gender inequality in El Salvador","pageid":0,"id":496}  
2015-11-07 15:27:10 mw1186 enwiki bug46577 INFO: {"title":"Gender inequality in Tonga","pageid":0,"id":681}  
2015-11-07 15:27:10 mw1186 enwiki bug46577 INFO: {"title":"Women in agriculture in India","pageid":0,"id":485}  
2015-11-07 15:27:10 mw1186 enwiki bug46577 INFO: {"title":"Women's health in India","pageid":0,"id":480}  
2015-11-07 15:27:10 mw1186 enwiki bug46577 INFO: {"title":"Gender inequality in Sudan","pageid":0,"id":495}  
2015-11-07 15:49:33 mw1213 enwiki bug46577 INFO: {"title":"Http:\/\/en.wikipedia.org\/wiki\/Wikipedia talk:Articles for creation\/Slavery in International Law","pageid":0,"id":686}  
2015-11-07 16:16:22 mw1181 enwiki bug46577 INFO: {"title":"de:Bier","pageid":0,"id":8156}  
2015-11-07 16:16:22 mw1181 enwiki bug46577 INFO: {"title":"Hello im a new student","pageid":0,"id":2649}  
2015-11-07 16:16:23 mw1181 enwiki bug46577 INFO: {"title":"Noarticle","pageid":0,"id":8157}  
2015-11-07 16:23:05 mw1110 enwiki bug46577 INFO: {"title":"Tamara Awerbuch-Friedlander, PhD (MIT),","pageid":0,"id":3127}  
2015-11-07 16:23:05 mw1110 enwiki bug46577 INFO: {"title":"Independent learning","pageid":0,"id":2760}  
2015-11-07 16:23:05 mw1110 enwiki bug46577 INFO: {"title":"Refugio Reyes Rivas","pageid":0,"id":3266}  
2015-11-07 16:23:07 mw1110 enwiki bug46577 INFO: {"title":"Shanghai Changning Children's Palace","pageid":0,"id":3337}  
2015-11-07 16:23:07 mw1110 enwiki bug46577 INFO: {"title":"Shutter Island (graphic novel)","pageid":0,"id":3203}  
2015-11-07 16:23:07 mw1110 enwiki bug46577 INFO: {"title":"Open Course Library","pageid":0,"id":2884}  
2015-11-07 16:23:08 mw1110 enwiki bug46577 INFO: {"title":"Https:\/\/en.wikipedia.org\/wiki\/Edward Herrmann","pageid":0,"id":3172}  
2015-11-07 16:25:23 mw1176 enwiki bug46577 INFO: {"title":"Http:\/\/es.wikipedia.org\/wiki\/Recursos educativos abiertos","pageid":0,"id":1293}  
2015-11-07 16:25:23 mw1176 enwiki bug46577 INFO: {"title":"Http:\/\/en.wikipedia.org\/wiki\/Epistemology of Wikipedia","pageid":0,"id":1309}  
2015-11-07 16:25:23 mw1176 enwiki bug46577 INFO: {"title":"Jacob Strader","pageid":0,"id":1296}  
2015-11-07 16:31:44 mw1086 enwiki bug46577 INFO: {"title":"HKNet","pageid":1930691,"id":3518}  
2015-11-07 16:31:45 mw1086 enwiki bug46577 INFO: {"title":"Https:\/\/en.wikipedia.org\/wiki\/2013 ICC Champions Trophy Final","pageid":0,"id":3512}  
2015-11-07 16:31:47 mw1086 enwiki bug46577 INFO: {"title":"Mawra Hocane","pageid":39981809,"id":3226}  
2015-11-07 16:31:48 mw1086 enwiki bug46577 INFO: {"title":"Ayodhya: The Case Against the Temple","pageid":3137344,"id":3514}  
2015-11-07 16:31:48 mw1086 enwiki bug46577 INFO: {"title":"Singapore at the 1988 Summer Olympics: Revision history","pageid":0,"id":3188}  
2015-11-07 16:31:49 mw1086 enwiki bug46577 INFO: {"title":"Https:\/\/en.wikipedia.org\/wiki\/Menaye Donkor","pageid":0,"id":3331}  
2015-11-07 16:31:49 mw1086 enwiki bug46577 INFO: {"title":"Https:\/\/en.wikipedia.org\/wiki\/Janne Tolsa","pageid":0,"id":3325}  
2015-11-07 16:31:49 mw1086 enwiki bug46577 INFO: {"title":"Https:\/\/en.wikipedia.org\/wiki\/Alvarez Guitars","pageid":0,"id":3440}  
2015-11-07 16:57:37 mw1253 enwiki bug46577 INFO: {"title":"Fox Broadcasting Co. v. Dish Network, LLC","pageid":0,"id":1404}  
2015-11-07 16:57:37 mw1253 enwiki bug46577 INFO: {"title":"Jake Mandeville-Anthony v. The Walt Disney Company, et al.","pageid":0,"id":1531}  
2015-11-07 16:57:37 mw1253 enwiki bug46577 INFO: {"title":"Microsoft v. Motorola","pageid":0,"id":1515}  
2015-11-07 16:57:38 mw1253 enwiki bug46577 INFO: {"title":"PhoneDog L.L.C. v. Kravitz","pageid":0,"id":1388}  
2015-11-07 16:57:38 mw1253 enwiki bug46577 INFO: {"title":"In re Zappos.com, Inc., Customer Data Security Breach Litigation","pageid":0,"id":1446}  
2015-11-07 16:57:38 mw1253 enwiki bug46577 INFO: {"title":"United States v. Apple Inc.,","pageid":0,"id":1387}  
2015-11-07 16:57:38 mw1253 enwiki bug46577 INFO: {"title":"Columbia Pictures Industries, Inc. v. Fung","pageid":0,"id":1512}  
2015-11-07 16:57:38 mw1253 enwiki bug46577 INFO: {"title":"FTC v. Actavis","pageid":0,"id":1560}  
2015-11-07 17:41:40 mw1113 enwiki bug46577 INFO: {"title":"BUMA democratic conference","pageid":0,"id":9638}  
2015-11-07 17:41:40 mw1113 enwiki bug46577 INFO: {"title":"GIVU effect","pageid":0,"id":9489}  
2015-11-07 17:41:40 mw1113 enwiki bug46577 INFO: {"title":"Community Chest of Korea","pageid":0,"id":9491}  
2015-11-07 17:41:40 mw1113 enwiki bug46577 INFO: {"title":"GIVU effect","pageid":0,"id":9488}  
2015-11-07 17:41:40 mw1113 enwiki bug46577 INFO: {"title":"Bu-Ma Democratic Protest","pageid":0,"id":9675}  
2015-11-07 17:41:40 mw1113 enwiki bug46577 INFO: {"title":"Community Chest of Korea","pageid":0,"id":9490}  
2015-11-07 17:41:40 mw1113 enwiki bug46577 INFO: {"title":"Pikicast \/ Lineage","pageid":0,"id":9627}  
2015-11-07 17:41:40 mw1113 enwiki bug46577 INFO: {"title":"Jeonju Hanok Village","pageid":0,"id":9628}  
2015-11-07 17:41:40 mw1113 enwiki bug46577 INFO: {"title":"Jeonju Hanok Village","pageid":0,"id":9676}  
2015-11-07 18:04:50 mw1170 enwiki bug46577 INFO: {"title":"The Shadowy Third and Other Stories","pageid":0,"id":9090}  
2015-11-07 18:28:13 mw1216 enwiki bug46577 INFO: {"title":"Tar Beach","pageid":0,"id":8918}  
2015-11-07 18:28:13 mw1216 enwiki bug46577 INFO: {"title":"A Chair for My Mother","pageid":0,"id":8919}  
2015-11-07 18:28:14 mw1216 enwiki bug46577 INFO: {"title":"A Child's Good Night Book","pageid":0,"id":8979}  
2015-11-07 18:28:14 mw1216 enwiki bug46577 INFO: {"title":"Andy and the Lion By James Daugherty","pageid":0,"id":8975}  
2015-11-07 18:28:14 mw1216 enwiki bug46577 INFO: {"title":"Mufaro's Beautiful Daughters- John Steptoe","pageid":0,"id":9067}  
2015-11-07 18:28:14 mw1216 enwiki bug46577 INFO: {"title":"Flora and the Flamingo","pageid":0,"id":9066}  
2015-11-07 18:28:14 mw1216 enwiki bug46577 INFO: {"title":"Olivia (picture book)","pageid":0,"id":7908}  
2015-11-07 18:30:50 mw1163 enwiki bug46577 INFO: {"title":"Mudeungsan(Korean mountain)","pageid":0,"id":9445}  
2015-11-07 18:30:50 mw1163 enwiki bug46577 INFO: {"title":"Korean Yasik Culture (Late-night Meals)","pageid":0,"id":9547}  
2015-11-07 18:30:50 mw1163 enwiki bug46577 INFO: {"title":"Adultery of South Korea","pageid":0,"id":9544}  
2015-11-07 18:30:50 mw1163 enwiki bug46577 INFO: {"title":"Gangchon(Korean tourist attraction)","pageid":0,"id":9444}  
2015-11-07 18:30:50 mw1163 enwiki bug46577 INFO: {"title":"Heyri Artvalley","pageid":0,"id":9443}  
2015-11-07 18:30:50 mw1163 enwiki bug46577 INFO: {"title":"Petit France","pageid":0,"id":9435}  
2015-11-07 18:30:50 mw1163 enwiki bug46577 INFO: {"title":"Shiniuzhai National Geological Park","pageid":0,"id":9439}  
2015-11-07 18:30:50 mw1163 enwiki bug46577 INFO: {"title":"Tai Ke","pageid":0,"id":9434}  
2015-11-07 18:30:50 mw1163 enwiki bug46577 INFO: {"title":"Coffee shops in Korea","pageid":0,"id":9433}  
2015-11-07 18:30:50 mw1163 enwiki bug46577 INFO: {"title":"Anipang","pageid":0,"id":9432}  
2015-11-07 18:30:50 mw1163 enwiki bug46577 INFO: {"title":"Seoul Independent Film Festival","pageid":0,"id":9424}  
2015-11-07 18:30:50 mw1163 enwiki bug46577 INFO: {"title":"Gold Miss","pageid":0,"id":9425}  
2015-11-07 18:30:51 mw1163 enwiki bug46577 INFO: {"title":"\uc720\ub7fd \ub09c\ubbfc \uc0ac\ud0dc","pageid":0,"id":9440}  
2015-11-07 18:30:51 mw1163 enwiki bug46577 INFO: {"title":"Kakao taxi","pageid":0,"id":9431}  
2015-11-07 18:30:57 mw1168 enwiki bug46577 INFO: {"title":"Ligand binding assay","pageid":18631010,"id":2982}  
2015-11-07 18:30:57 mw1168 enwiki bug46577 INFO: {"title":"Ligand binding assay","pageid":18631010,"id":2986}  
2015-11-07 18:30:57 mw1168 enwiki bug46577 INFO: {"title":"Ligand binding assay","pageid":18631010,"id":3004}  
2015-11-07 18:35:21 mw1066 enwiki bug46577 INFO: {"title":"New public service","pageid":0,"id":8236}  
2015-11-07 18:35:21 mw1066 enwiki bug46577 INFO: {"title":"New public service","pageid":0,"id":8237}  
2015-11-07 18:35:21 mw1066 enwiki bug46577 INFO: {"title":"Media and Bureaucracy in the United States","pageid":0,"id":8015}  
2015-11-07 18:35:21 mw1066 enwiki bug46577 INFO: {"title":"Media and Bureaucracy in the United States","pageid":0,"id":7727}  
2015-11-07 18:35:21 mw1066 enwiki bug46577 INFO: {"title":"New public service","pageid":0,"id":8303}  
2015-11-07 18:35:21 mw1066 enwiki bug46577 INFO: {"title":"New public service","pageid":0,"id":8305}  
2015-11-07 18:35:21 mw1066 enwiki bug46577 INFO: {"title":"Media and Bureaucracy in the United States","pageid":0,"id":7974}  
2015-11-07 18:35:21 mw1066 enwiki bug46577 INFO: {"title":"Gender and public administration","pageid":0,"id":8225}  
2015-11-07 18:35:21 mw1066 enwiki bug46577 INFO: {"title":"New public service","pageid":0,"id":8295}  
2015-11-07 18:35:21 mw1066 enwiki bug46577 INFO: {"title":"Gender and public administration","pageid":0,"id":8226}  
2015-11-07 18:35:21 mw1066 enwiki bug46577 INFO: {"title":"Gender and public administration","pageid":0,"id":8222}  
2015-11-07 18:35:21 mw1066 enwiki bug46577 INFO: {"title":"Media and bureaucracy in the United States","pageid":0,"id":8228}  
2015-11-07 18:35:21 mw1066 enwiki bug46577 INFO: {"title":"Gender and public administration","pageid":0,"id":8223}  
2015-11-07 18:35:21 mw1066 enwiki bug46577 INFO: {"title":"Administrative discretion","pageid":0,"id":8270}  
2015-11-07 18:35:21 mw1066 enwiki bug46577 INFO: {"title":"Administrative discretion","pageid":0,"id":8288}  
2015-11-07 18:35:22 mw1066 enwiki bug46577 INFO: {"title":"Representative bureaucracy","pageid":0,"id":8287}  
2015-11-07 18:35:22 mw1066 enwiki bug46577 INFO: {"title":"Representative bureaucracy","pageid":0,"id":8269}  
2015-11-07 18:35:22 mw1066 enwiki bug46577 INFO: {"title":"Representative bureaucracy","pageid":0,"id":8274}  
2015-11-07 18:35:22 mw1066 enwiki bug46577 INFO: {"title":"Administrative discretion","pageid":0,"id":8271}  
2015-11-07 18:35:22 mw1066 enwiki bug46577 INFO: {"title":"Representative bureaucracy","pageid":0,"id":8282}  
2015-11-07 18:35:22 mw1066 enwiki bug46577 INFO: {"title":"Gender and public administration","pageid":0,"id":8224}  
2015-11-07 18:35:22 mw1066 enwiki bug46577 INFO: {"title":"Administrative Discretion","pageid":0,"id":7864}  
2015-11-07 18:35:22 mw1066 enwiki bug46577 INFO: {"title":"Administrative discretion","pageid":0,"id":8284}  
2015-11-07 18:35:22 mw1066 enwiki bug46577 INFO: {"title":"Representative bureaucracy","pageid":0,"id":8281}  
2015-11-07 18:35:22 mw1066 enwiki bug46577 INFO: {"title":"Administrative discretion","pageid":0,"id":8286}  
2015-11-07 18:35:22 mw1066 enwiki bug46577 INFO: {"title":"Administrative Discretion","pageid":0,"id":7885}  
2015-11-07 18:35:22 mw1066 enwiki bug46577 INFO: {"title":"Administrative discretion","pageid":0,"id":8283}  
2015-11-07 19:04:28 mw1236 enwiki bug46577 INFO: {"title":"(Sittin' On) The Dock of the Bay","pageid":636309,"id":6990}  
2015-11-07 19:42:38 mw1177 enwiki bug46577 INFO: {"title":"Padraic Breslin","pageid":0,"id":9468}  
2015-11-07 19:42:38 mw1177 enwiki bug46577 INFO: {"title":"Lily Kempson","pageid":0,"id":9463}  
2015-11-07 19:42:38 mw1177 enwiki bug46577 INFO: {"title":"Lily Kempson","pageid":0,"id":9464}  
2015-11-07 19:42:38 mw1177 enwiki bug46577 INFO: {"title":"Lily Kempson","pageid":0,"id":9466}  
2015-11-07 19:42:39 mw1177 enwiki bug46577 INFO: {"title":"Eileen Corrigan","pageid":0,"id":9467}  
2015-11-07 19:47:12 mw1018 enwiki bug46577 INFO: {"title":"Http:\/\/en.wikipedia.org\/wiki\/Prostitution#Middle Ages","pageid":0,"id":483}  
2015-11-07 19:47:13 mw1018 enwiki bug46577 INFO: {"title":"Http:\/\/en.wikipedia.org\/wiki\/Jewish women#Middle Ages","pageid":0,"id":399}  
2015-11-07 19:47:13 mw1018 enwiki bug46577 INFO: {"title":"Http:\/\/en.wikipedia.org\/wiki\/Hrotsvitha","pageid":0,"id":398}  
2015-11-07 19:47:13 mw1018 enwiki bug46577 INFO: {"title":"Http:\/\/en.wikipedia.org\/wiki\/Adela of Normandy","pageid":0,"id":402}  
2015-11-07 19:47:13 mw1018 enwiki bug46577 INFO: {"title":"Http:\/\/en.wikipedia.org\/wiki\/Catharism","pageid":0,"id":369}  
2015-11-07 19:47:13 mw1018 enwiki bug46577 INFO: {"title":"Http:\/\/en.wikipedia.org\/wiki\/Alewife (disambiguation)","pageid":0,"id":356}  
2015-11-07 19:47:13 mw1018 enwiki bug46577 INFO: {"title":"Http:\/\/en.wikipedia.org\/wiki\/Trotula of Salerno","pageid":0,"id":366}  
2015-11-07 19:47:13 mw1018 enwiki bug46577 INFO: {"title":"Http:\/\/en.wikipedia.org\/wiki\/Midwifery#Early historical perspective","pageid":0,"id":354}  
2015-11-07 19:47:13 mw1018 enwiki bug46577 INFO: {"title":"Http:\/\/en.wikipedia.org\/wiki\/The Alexiad","pageid":0,"id":357}  
2015-11-07 19:47:13 mw1018 enwiki bug46577 INFO: {"title":"Http:\/\/en.wikipedia.org\/wiki\/Midwifery#Early historical perspective","pageid":0,"id":355}  
2015-11-07 19:47:13 mw1018 enwiki bug46577 INFO: {"title":"Http:\/\/en.wikipedia.org\/wiki\/Midwifery","pageid":0,"id":363}  
2015-11-07 20:11:23 mw1098 enwiki bug46577 INFO: {"title":"Aspergillus tubingensis","pageid":0,"id":9419}  
2015-11-07 20:11:23 mw1098 enwiki bug46577 INFO: {"title":"Cladosporium sphaerospermum","pageid":0,"id":9418}  
2015-11-07 20:11:23 mw1098 enwiki bug46577 INFO: {"title":"Tropicoporus tropicalis","pageid":0,"id":9413}  
2015-11-07 20:11:23 mw1098 enwiki bug46577 INFO: {"title":"Phialemonium obovatum","pageid":0,"id":9404}  
2015-11-07 20:11:23 mw1098 enwiki bug46577 INFO: {"title":"Aspergillus alabamensis","pageid":0,"id":9390}  
2015-11-07 20:11:23 mw1098 enwiki bug46577 INFO: {"title":"Geosmithia argillacea","pageid":0,"id":9403}  
2015-11-07 20:11:23 mw1098 enwiki bug46577 INFO: {"title":"Rhodotorula glutinis","pageid":0,"id":9398}  
2015-11-07 20:11:23 mw1098 enwiki bug46577 INFO: {"title":"Chaetomium atrobrunneum","pageid":0,"id":9401}  
2015-11-07 20:11:24 mw1098 enwiki bug46577 INFO: {"title":"Aspergillus unguis","pageid":0,"id":9395}  
2015-11-07 20:11:24 mw1098 enwiki bug46577 INFO: {"title":"Trichophyton verrucosum","pageid":0,"id":9409}  
2015-11-07 20:11:56 mw1183 enwiki bug46577 INFO: {"title":"Women in Counry Music","pageid":0,"id":8328}  
2015-11-07 20:11:56 mw1183 enwiki bug46577 INFO: {"title":"Women in Nursing","pageid":0,"id":8318}  
2015-11-07 20:11:56 mw1183 enwiki bug46577 INFO: {"title":"African American Women in Photography","pageid":0,"id":8326}  
2015-11-07 20:11:56 mw1183 enwiki bug46577 INFO: {"title":"Sara Naomi Lewkowicz","pageid":0,"id":8311}  
2015-11-07 20:21:28 mw1084 enwiki bug46577 INFO: {"title":"U.S.-South African Trade Dispute","pageid":0,"id":8726}  
reedy@fluorine:/a/mw-log$

Change 251741 had a related patch set uploaded (by Reedy):
Remove old logging

https://gerrit.wikimedia.org/r/251741

Change 251741 merged by jenkins-bot:
Remove old logging

https://gerrit.wikimedia.org/r/251741